Subject: Re: [MOBILE-IP] New version of Mobile IPv6 draft

From: "Hesham Soliman (M Elfving T/N) 9" <[email-masked]>
Date: Wed, 27 Oct 1999 08:23:47 +0200

Dave,

I believe there might be one small issue left and it is
related to the section on renumbering. If the MN happens to be
in a foreign network during renumbering and it receives the new prefix
it might generate a new (and not globally unique) interace identifier
to form the new address. The draft seems to assume that the last 64 bits
are permanent since currently there is no mechanism specified to
validate the new address.

One simple way of fixing this is that the HA should do a DAD after
receiving the MN's new address, and if it fails send the BAck with a
new error code (eg invalid address). We have raised this issue in the
connectathon in France and it was included in the final report which
will be on the web soon I believe.

The changes are quite minor to the draft but I believe not doing that
can add an unnecessary restriction.
I hope this would be the last :)

Hesham

---------------------------------------------
Hesham Soliman
Mobile Systems Research
Ericsson Radio Systems
Kista, Stockholm.

> Date: Tue, 26 Oct 1999 12:28:15 -0400
> From: Dave Johnson <[email-masked]>
> Subject: [MOBILE-IP] New version of Mobile IPv6 draft
> X-To: [email-masked]
> To: [email-masked]
>
> On Friday, I submitted a new (and hopefully final) version of the
> Mobile IPv6 draft, draft-ietf-mobileip-ipv6-09.txt.  Someday soon,
> the official announcement of it should come out, but I haven't seen
> an announcement yet, so here's an unofficial announcement: Copies of
> the new draft are now available from the CMU Monarch Project web pages
> at http://www.monarch.cs.cmu.edu/ .  The URL for the new draft is:
>
> http://www.monarch.cs.cmu.edu/internet-drafts/draft-ietf-mobileip-ipv6-09.txt
>
> Here's a brief list of most of the changes in the draft since the
> previous version:
>
>     -  Added a new section (Section 10.2), giving guidance to
>        implementors on the interaction between outbound Mobile IP
>        processing and outbound IPsec processing for packets sent by a
>        mobile node while away from home.
>
>     -  Changed the optional Care-of Address field in the Binding Update
>        option format (Section 5.1) to instead be a sub-option.  This
>        better matches the use of other sub-options to encode optional
>        information in an option, and also makes the specification of the
>        alignment requirement for the Binding Update option easier.
>
>     -  Also removed the Care-of Address Present (C) bit in the Binding
>        Update option format, as it is no longer needed with the use of a
>        sub-option to specify the alternate care-of address.  NOTE: This
>        change also resulted in moving the Router (R) bit over by one bit
>        position in the Binding Update option format.
>
>     -  Added explicit specification of the alignment requirements [5]
>        for each of the Mobile IPv6 destination options and sub-options.
>
>     -  Introduced Pad1 and PadN sub-options (Section 5.5) to allow
>        the sub-options in Mobile IPv6 options to be aligned properly.
>        To match the option numbering used for the Pad1 and PadN
>        options defined for use in Hop-by-Hop Options and Destination
>        Options extension headers [5], these two sub-options have been
>        numbered 0 and 1, respectively.  NOTE: This change also resulted
>        in changing the sub-option numbers of the other Mobile IPv6
>        sub-options.
>
>     -  Added an explicit specification of the units in which
>        the Lifetime and Refresh fields are expressed in the
>        Binding Acknowledgement option (Section 5.2).  As with the
>        corresponding Lifetime field in the Binding Update option and the
>        Valid Lifetime and Preferred Lifetime in the Prefix Information
>        option used by Neighbor Discovery [14], these fields in the
>        Binding Acknowledgement option are expressed in seconds.
>
>     -  Rewrote Section 10.9 to indicate that the Binding Update is sent
>        to any home agent on the link on which the specified previous
>        care-of address is located, rather than (necessarily) to the
>        router that it used as its default router on that link.  Also,
>        the mobile node can establish packet forwarding from any previous
>        care-of address, not just from its previous primary care-of
>        address.
>
>     -  Removed the Status value of 129 (Poorly formed Binding Update)
>        for the Binding Acknowledgement option, since this value is not
>        used.  Instead, poorly formed Binding Updates have already been
>        defined (Section 8.2) to be silently discarded.
>
>     -  Removed the Status value of 134 (Sequence Number field value too
>        small) for the Binding Acknowledgement option, since this value
>        is not used.  Instead, received Binding Updates in which the
>        Sequence Number field is not greater than the Sequence Number
>        received in the previous Binding Update for this home address,
>        if any, have already been defined (Section 8.2) to be silently
>        discarded.
>
>     -  Corrected a few more minor typographical errors in places.
>
>
>                                         Dave
>
> --
> David B. Johnson                         [email-masked]
> Associate Professor                      http://www.cs.cmu.edu/~dbj/
> Computer Science Department              http://www.monarch.cs.cmu.edu/
> Carnegie Mellon University               Phone: (412) 268-7399
> 5000 Forbes Avenue                       Fax: (412) 268-5576
> Pittsburgh, PA  15213-3891